Get a wallet
curl --request GET \
--url https://api.raze.bot/v1/wallets/{chain}/{address} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.raze.bot/v1/wallets/{chain}/{address}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.raze.bot/v1/wallets/{chain}/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"chain": "<string>",
"address": "<string>",
"period": "<string>",
"realizedPnlUsd": 123,
"realizedPnlPercent": 123,
"volumeUsd": 123,
"trades": 123,
"buys": 123,
"sells": 123,
"winRatePercent": 123,
"tokensTraded": 123,
"totalPnlUsd": 123,
"nativeBalance": 123,
"twitter": "<string>",
"tags": [
"<string>"
],
"fundedBy": "<string>",
"lastActiveAt": 123
}
}{
"error": {
"code": "bad_request",
"message": "unknown chain 'xyz', use one of: sol, eth, bsc, base, robinhood"
}
}Wallets
Get wallet
A wallet’s trading stats over a period, and its profile (native balance, tags, funding).
GET
/
v1
/
wallets
/
{chain}
/
{address}
Get a wallet
Trading stats over
period (1d, 7d, 30d, 1y): realized profit, volume, trades, win rate, tokens traded. Plus the profile: native balance, lifetime PnL, X account, tags, who funded the wallet and when it was last active. Any of them is null when not known for this wallet.Authorizations
ApiKeyHeaderBearerApiKeyQuery
Path Parameters
sol, eth, bsc, base or robinhood (or an alias or network id)
Example:
"sol"
Wallet address
Query Parameters
Available options:
1d, 7d, 30d, 1y Response
Wallet
Show child attributes
Show child attributes
⌘I